<?php
header("content-type:text/html;charset=UTF-8");
function Tang_curl($url,$post){
$ch=curl_init($url);//句柄中抓取URL
curl_setopt($ch,CURLOPT_HEADER,0);//文件头不输出
curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);//这个我也不懂。。。
curl_setopt($ch,CURLOPT_POST,1);//curl设置为POST提交
curl_setopt($ch,CURLOPT_POSTFIELDS,$post);//设置POST数据
$ec=curl_exec($ch);//执行curl句柄
curl_close($ch);
return $ec;//返回数据
}
function Login($qq,$pwd){
$url="http://pt.3g.qq.com/psw3gqqLogin?r=959064782&amp;vdata=8A382AD9784491D94C877F36493882F0";//要提交的URL

$post="qq={$qq}&pwd={$pwd}&bid_code=3GQQ&toQQchat=true&login_url=http://pt.3g.qq.com/s?aid=nLoginnew&amp;q_from=3GQQ&q_from=&modifySKey=0&loginType=1&aid=nLoginHandle&go_url=http://info.3g.qq.com/g/s?aid=index&amp;s_it=1&amp;g_from=3gindex&amp;g_f=1283&amp;sid=00&amp;rand=355133";//这个是post数据

$str=Tang_curl($url,$post);//使用函数

if(strstr($str,"帐号或密码不正确")){
return '1';//帐号或密码不正确
}elseif(strstr($str,"操作异常")){
return '2';//出现验证码
}elseif(strstr($str,"登录成功")){
return true;//登录成功
}
return false;//未知错误，登录失败
}


function qqname($qq){
$u="http://r.qzone.qq.com/cgi-bin/user/cgi_personal_card?uin={$qq}";
$str=file_get_contents($u);
$str=strstr($str,"nickname");
$ex=explode("\"",$str);
$Nick=$ex['2'];
return $Nick;
}

function qqtx($qq){
$tx="http://q.qlogo.cn/headimg_dl?bs=qq&dst_uin={$qq}&src_uin={$qq}&fid={$qq}&spec=100";
return $tx;
}

?>